Package org.pentaho.reporting.libraries.repository

## Interface Repository

- All Known Subinterfaces:
    `UrlRepository`
  All Known Implementing Classes:
    `DummyRepository`, `EmailRepository`, `FileRepository`, `StreamRepository`, `ZipReadRepository`, `ZipRepository`, `ZipRepository`

      public interface Repository

  A repository represents a abstract view on a filesystem. It always has a single root-entry and grants access to a repository-specific mime-registry.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MimeRegistry` | `getMimeRegistry()` | Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
    `ContentLocation` | `getRoot()` | Returns the repositories root directory entry.

- - ### Method Detail

    - #### getRoot

          ContentLocation getRoot()
                           throws ContentIOException

      Returns the repositories root directory entry.
      Returns:
        the root directory.
      Throws:
        `ContentIOException` - if an error occurs.

    - #### getMimeRegistry

          MimeRegistry getMimeRegistry()

      Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
      Returns:
        the mime registry.
      See Also:
        `MimeRegistry`